wxWidgets: wxCalendarDateAttr Class Reference

| Version: 3.0.5

Public Member Functions | Static Public Member Functions | List of all members
wxCalendarDateAttr Class Reference
Class List by Category » Data Structures

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/calctrl.h>`

## Detailed Description

wxCalendarDateAttr is a custom attributes for a calendar date.

The objects of this class are used with wxCalendarCtrl.

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxCalendarCtrl

## Public Member Functions
| wxCalendarDateAttr (const wxColour &colText=wxNullColour, const wxColour &colBack=wxNullColour, const wxColour &colBorder=wxNullColour, const wxFont &font=wxNullFont, wxCalendarDateBorder border=wxCAL_BORDER_NONE)
| Constructor for specifying all wxCalendarDateAttr properties. More...
| wxCalendarDateAttr (wxCalendarDateBorder border, const wxColour &colBorder=wxNullColour)
| Constructor using default properties except the given border. More...
const wxColour & | GetBackgroundColour () const
| Returns the background colour set for the calendar date. More...
wxCalendarDateBorder | GetBorder () const
| Returns the border set for the calendar date. More...
const wxColour & | GetBorderColour () const
| Returns the border colour set for the calendar date. More...
const wxFont & | GetFont () const
| Returns the font set for the calendar date. More...
const wxColour & | GetTextColour () const
| Returns the text colour set for the calendar date. More...
bool | HasBackgroundColour () const
| Returns true if a non-default text background colour is set. More...
bool | HasBorder () const
| Returns true if a non-default (i.e. any) border is set. More...
bool | HasBorderColour () const
| Returns true if a non-default border colour is set. More...
bool | HasFont () const
| Returns true if a non-default font is set. More...
bool | HasTextColour () const
| Returns true if a non-default text foreground colour is set. More...
bool | IsHoliday () const
| Returns true if this calendar day is displayed as a holiday. More...
void | SetBackgroundColour (const wxColour &colBack)
| Sets the text background colour to use. More...
void | SetBorder (wxCalendarDateBorder border)
| Sets the border to use. More...
void | SetBorderColour (const wxColour &col)
| Sets the border colour to use. More...
void | SetFont (const wxFont &font)
| Sets the font to use. More...
void | SetHoliday (bool holiday)
| If holiday is true, this calendar day will be displayed as a holiday. More...
void | SetTextColour (const wxColour &colText)
| Sets the text (foreground) colour to use. More...

## Static Public Member Functions
static const wxCalendarDateAttr & | GetMark ()
| Used (internally) by the generic wxCalendarCtrl::Mark(). More...
static void | SetMark (const wxCalendarDateAttr &m)
| Set the attributes that will be used to Mark() days on the generic wxCalendarCtrl. More...

## Constructor & Destructor Documentation

## ◆ wxCalendarDateAttr() [1/2]

wxCalendarDateAttr::wxCalendarDateAttr | ( | const wxColour & | colText = `wxNullColour`,
|  | const wxColour & | colBack = `wxNullColour`,
|  | const wxColour & | colBorder = `wxNullColour`,
|  | const wxFont & | font = `wxNullFont`,
|  | wxCalendarDateBorder | border = `wxCAL_BORDER_NONE`
| ) |  |

Constructor for specifying all wxCalendarDateAttr properties.

## ◆ wxCalendarDateAttr() [2/2]

wxCalendarDateAttr::wxCalendarDateAttr | ( | wxCalendarDateBorder | border,
|  | const wxColour & | colBorder = `wxNullColour`
| ) |  |

Constructor using default properties except the given border.

## Member Function Documentation

## ◆ GetBackgroundColour()

const wxColour& wxCalendarDateAttr::GetBackgroundColour | ( |  | ) | const

Returns the background colour set for the calendar date.

## ◆ GetBorder()

wxCalendarDateBorder wxCalendarDateAttr::GetBorder | ( |  | ) | const

Returns the border set for the calendar date.

## ◆ GetBorderColour()

const wxColour& wxCalendarDateAttr::GetBorderColour | ( |  | ) | const

Returns the border colour set for the calendar date.

## ◆ GetFont()

const wxFont& wxCalendarDateAttr::GetFont | ( |  | ) | const

Returns the font set for the calendar date.

## ◆ GetMark()

static const wxCalendarDateAttr& wxCalendarDateAttr::GetMark | ( |  | ) |
| static

Used (internally) by the generic wxCalendarCtrl::Mark().

## ◆ GetTextColour()

const wxColour& wxCalendarDateAttr::GetTextColour | ( |  | ) | const

Returns the text colour set for the calendar date.

## ◆ HasBackgroundColour()

bool wxCalendarDateAttr::HasBackgroundColour | ( |  | ) | const

Returns true if a non-default text background colour is set.

## ◆ HasBorder()

bool wxCalendarDateAttr::HasBorder | ( |  | ) | const

Returns true if a non-default (i.e. any) border is set.

## ◆ HasBorderColour()

bool wxCalendarDateAttr::HasBorderColour | ( |  | ) | const

Returns true if a non-default border colour is set.

## ◆ HasFont()

bool wxCalendarDateAttr::HasFont | ( |  | ) | const

Returns true if a non-default font is set.

## ◆ HasTextColour()

bool wxCalendarDateAttr::HasTextColour | ( |  | ) | const

Returns true if a non-default text foreground colour is set.

## ◆ IsHoliday()

bool wxCalendarDateAttr::IsHoliday | ( |  | ) | const

Returns true if this calendar day is displayed as a holiday.

## ◆ SetBackgroundColour()

void wxCalendarDateAttr::SetBackgroundColour | ( | const wxColour & | colBack | ) |

Sets the text background colour to use.

## ◆ SetBorder()

void wxCalendarDateAttr::SetBorder | ( | wxCalendarDateBorder | border | ) |

Sets the border to use.

## ◆ SetBorderColour()

void wxCalendarDateAttr::SetBorderColour | ( | const wxColour & | col | ) |

Sets the border colour to use.

## ◆ SetFont()

void wxCalendarDateAttr::SetFont | ( | const wxFont & | font | ) |

Sets the font to use.

## ◆ SetHoliday()

void wxCalendarDateAttr::SetHoliday | ( | bool | holiday | ) |

If holiday is true, this calendar day will be displayed as a holiday.

## ◆ SetMark()

static void wxCalendarDateAttr::SetMark | ( | const wxCalendarDateAttr & | m | ) |
| static

Set the attributes that will be used to Mark() days on the generic wxCalendarCtrl.

## ◆ SetTextColour()

void wxCalendarDateAttr::SetTextColour | ( | const wxColour & | colText | ) |

Sets the text (foreground) colour to use.